const handlebars = require('handlebars'),
    fs = require('fs');


const emailBuilder = {};

emailBuilder.buildTemplateEmail = function (data) {


    const promise = new Promise(function (resolve) {

        fs.readFile('./node_modules/asksuite-core/email-template/templates/main.hbs', 'utf-8', function (error, source) {

            const template = handlebars.compile(source);
            const result = template(data);

            resolve(result);
        });

    });

    return promise;
};

module.exports = emailBuilder;
